Bug 1730659 - [abrt] epiphany-runtime: _gdk_wayland_shm_surface_get_wl_buffer(): epiphany killed by SIGSEGV
Summary: [abrt] epiphany-runtime: _gdk_wayland_shm_surface_get_wl_buffer(): epiphany k...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e26ab5f27554840ad23d3d46993...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-17 09:49 UTC by Matej
Modified: 2020-05-26 16:12 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:12:17 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (83.65 KB, text/plain)
2019-07-17 09:49 UTC, Matej
no flags Details
File: cgroup (355 bytes, text/plain)
2019-07-17 09:49 UTC, Matej
no flags Details
File: core_backtrace (38.96 KB, text/plain)
2019-07-17 09:49 UTC, Matej
no flags Details
File: cpuinfo (1.21 KB, text/plain)
2019-07-17 09:49 UTC, Matej
no flags Details
File: dso_list (16.56 KB, text/plain)
2019-07-17 09:49 UTC, Matej
no flags Details
File: environ (1.46 KB, text/plain)
2019-07-17 09:49 UTC, Matej
no flags Details
File: exploitable (95 bytes, text/plain)
2019-07-17 09:49 UTC, Matej
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-17 09:49 UTC, Matej
no flags Details
File: maps (110.21 KB, text/plain)
2019-07-17 09:49 UTC, Matej
no flags Details
File: mountinfo (3.73 KB, text/plain)
2019-07-17 09:49 UTC, Matej
no flags Details
File: open_fds (3.79 KB, text/plain)
2019-07-17 09:49 UTC, Matej
no flags Details
File: proc_pid_status (1.35 KB, text/plain)
2019-07-17 09:49 UTC, Matej
no flags Details
File: var_log_messages (206 bytes, text/plain)
2019-07-17 09:49 UTC, Matej
no flags Details

Description Matej 2019-07-17 09:49:30 UTC
Version-Release number of selected component:
1:epiphany-runtime-3.32.3-1.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        epiphany
crash_function: _gdk_wayland_shm_surface_get_wl_buffer
executable:     /usr/bin/epiphany
journald_cursor: s=7d9852d6bb3a4396b54888a13690b583;i=3bc23;b=328b73bd703d481e969d7bbbc64afbb3;m=245d75a9cb;t=58dbb0d299b67;x=17f4b952513e7f6a
kernel:         5.1.16-300.fc30.x86_64+debug
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _gdk_wayland_shm_surface_get_wl_buffer at gdkdisplay-wayland.c:1409
 #1 gdk_wayland_window_ensure_cairo_surface at gdkwindow-wayland.c:889
 #2 gdk_window_impl_wayland_begin_paint at gdkwindow-wayland.c:928
 #3 gdk_window_begin_paint_internal at gdkwindow.c:2947
 #5 gdk_window_begin_draw_frame at gdkwindow.c:3250
 #6 gtk_widget_render at gtkwidget.c:17568
 #7 gtk_main_do_event at gtkmain.c:1838
 #9 _gdk_event_emit at gdkevents.c:73
 #10 _gdk_window_process_updates_recurse_helper at gdkwindow.c:3867
 #11 gdk_window_process_updates_internal at gdkwindow.c:4013

Comment 1 Matej 2019-07-17 09:49:34 UTC
Created attachment 1591357 [details]
File: backtrace

Comment 2 Matej 2019-07-17 09:49:35 UTC
Created attachment 1591358 [details]
File: cgroup

Comment 3 Matej 2019-07-17 09:49:37 UTC
Created attachment 1591359 [details]
File: core_backtrace

Comment 4 Matej 2019-07-17 09:49:38 UTC
Created attachment 1591360 [details]
File: cpuinfo

Comment 5 Matej 2019-07-17 09:49:40 UTC
Created attachment 1591361 [details]
File: dso_list

Comment 6 Matej 2019-07-17 09:49:42 UTC
Created attachment 1591362 [details]
File: environ

Comment 7 Matej 2019-07-17 09:49:43 UTC
Created attachment 1591363 [details]
File: exploitable

Comment 8 Matej 2019-07-17 09:49:44 UTC
Created attachment 1591364 [details]
File: limits

Comment 9 Matej 2019-07-17 09:49:48 UTC
Created attachment 1591365 [details]
File: maps

Comment 10 Matej 2019-07-17 09:49:49 UTC
Created attachment 1591366 [details]
File: mountinfo

Comment 11 Matej 2019-07-17 09:49:51 UTC
Created attachment 1591367 [details]
File: open_fds

Comment 12 Matej 2019-07-17 09:49:52 UTC
Created attachment 1591368 [details]
File: proc_pid_status

Comment 13 Matej 2019-07-17 09:49:53 UTC
Created attachment 1591369 [details]
File: var_log_messages

Comment 14 Ben Cotton 2020-04-30 21:32:34 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2020-05-26 16:12:17 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.